Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.tasks
Class TaskPrintableViewModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.DialogModel
              portlets.compoze.groupware.model.tasks.TaskPrintableViewModel

All Implemented Interfaces:
  java.io.Serializable

public class TaskPrintableViewModel
extends DialogModel
implements java.io.Serializable

This class represents the data model for task details printable view (`task_details_exchange_printable.jsp`).

See Also:
  Serialized Form

Field Summary

Fields inherited from class portlets.compoze.groupware.model.DialogModel
`DIALOG_SESSION_ATTRIBUTE`

Constructor Summary
`TaskPrintableViewModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, GroupwarePreferences groupwarePrefs, TasksPreferences tasksPrefs, java.lang.String sSkinPath)` Constructor.

Method Summary
`Task` | `getTask()` Gets the task.
`void` | `setTask(Task task)` Sets the task.

Methods inherited from class portlets.compoze.groupware.model.DialogModel
`getCompozeCSS, getCompozeImages, getCurrentSkinPath`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskPrintableViewModel

    public TaskPrintableViewModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                                  GroupwarePreferences groupwarePrefs,
                                  TasksPreferences tasksPrefs,
                                  java.lang.String sSkinPath)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `tasksPrefs` - the task preferences (may not be `null`)
  `sSkinPath` - the skin path (may not be `null`)

Method Detail

### getTask

    public Task getTask()

  Gets the task.

  Returns:
    the task

### setTask

    public void setTask(Task task)

  Sets the task.

  Parameters:
    `task` - the task (may not be `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.